%ifarch %{x8664} %{armv7} %{armv8} aarch64 ppc64
%define		with_criu	1
%endif

%ifarch %{ix86} %{x8664} %{arm} aarch64 mips64 mips64le ppc64 ppc64le s390x
%define		with_man	1
%endif

Summary:	OCI runtime written in C
Name:		crun
Version:	1.21
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	https://github.com/containers/crun/releases/download/%{version}/%{name}-%{version}.tar.zst
# Source0-md5:	8bdfc20fea5da678180e1cd825a0e444
URL:		https://github.com/containers/crun
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11.2
%{?with_criu:BuildRequires:	criu-devel >= 3.16.1}
%{?with_man:BuildRequires:	go-md2man}
BuildRequires:	libcap-devel
BuildRequires:	libseccomp-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 7:3.18
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-modules
BuildRequires:	rpmbuild(macros) >= 2.007
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	yajl-devel >= 2.0.0
BuildRequires:	zstd
Requires:	yajl >= 2.0.0
%{?with_criu:Suggests:	criu-libs >= 3.16.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
crun is a runtime for running OCI containers.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcrun.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/crun
%{?with_man:%{_mandir}/man1/crun.1*}
%changelog
* Wed Apr 02 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crun.git;a=log;h=master

* Fri Mar 28 2025 Jan Palus <atler@pld-linux.org> f36c8c0
- up to 1.21

* Wed Feb 05 2025 Jan Palus <atler@pld-linux.org> 0385e6b
- up to 1.20

* Tue Dec 17 2024 Jan Palus <atler@pld-linux.org> aea3ca6
- up to 1.19.1

* Mon Dec 09 2024 Jan Palus <atler@pld-linux.org> 8497a47
- up to 1.19

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> e70e936
- use bundled macros for the time being; rel 2

* Fri Nov 01 2024 Jan Palus <atler@pld-linux.org> dd57b02
- up to 1.18.2

* Wed Oct 30 2024 Jan Palus <atler@pld-linux.org> 3c0ebb3
- up to 1.18.1

* Tue Oct 22 2024 Jan Palus <atler@pld-linux.org> 5b76cd7
- up to 1.18

* Mon Sep 09 2024 Jan Palus <atler@pld-linux.org> c6f752a
- up to 1.17

* Tue Aug 13 2024 Jan Palus <atler@pld-linux.org> 5a3f6eb
- up to 1.16.1

* Wed Aug 07 2024 Jan Palus <atler@pld-linux.org> 71844a6
- up to 1.16

* Thu May 02 2024 Jan Palus <atler@pld-linux.org> 49e687f
- up to 1.15

* Thu Feb 29 2024 Jan Palus <atler@pld-linux.org> 4bb765d
- up to 1.14.4

* Sun Feb 25 2024 Jan Palus <atler@pld-linux.org> 80abc7d
- up to 1.14.3

* Thu Feb 08 2024 Jan Palus <atler@pld-linux.org> 36a86ce
- up to 1.14.1

* Wed Jan 24 2024 Jan Palus <atler@pld-linux.org> 34b0f27
- up to 1.14

* Mon Jan 15 2024 Jan Palus <atler@pld-linux.org> 644f227
- up to 1.13

* Thu Nov 23 2023 Jan Palus <atler@pld-linux.org> 77a1033
- up to 1.12

* Tue Nov 07 2023 Jan Palus <atler@pld-linux.org> 8a26e2e
- up to 1.11.2

* Mon Oct 30 2023 Jan Palus <atler@pld-linux.org> 20b8644
- up to 1.11.1

